> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How to update a row in a custom object

> How to update a row in a custom object via the REST APIs.

## Request

<Tabs>
  <Tab title="HTTP RPC Agent">
    To delete a row using the `DatabaseTable` agent, specify the `TableName` and `Id` as body parameters.

    ```http! theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/DatabaseTable/DeleteRow HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json
    {
        "TableName": "y_equipment",
        "Id": "2"
    }
    ```

    For details, see the [DatabaseTable agent reference][1].
  </Tab>

  <Tab title="RESTful REST">
    To delete a record using the `TableRecord` endpoint, specify the table name and row ID as query string parameters.

    ```http! theme={null}
    DELETE  https://{{env}}.superoffice.com/{{tenant}}/api/v1/Table/y_equipment/3 HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json
    ```

    For details, see the [Table REST endpoint reference][2].
  </Tab>
</Tabs>

### Response

```http_ theme={null}
HTTP/1.1 204 No Content
```

[1]: ../../../reference/restful/agent/DatabaseTable_Agent/v1DatabaseTableAgent_DeleteRow

[2]: ../../../reference/restful/rest/TableRecord/v1TableRecord_DeleteRow


## Related topics

- [How to update a row in a custom object](/en/api/web-services/howto/custom-objects/rest-update-custom-object-row.md)
- [How to add a row to a custom object](/en/api/web-services/howto/custom-objects/rest-add-custom-object-row.md)
- [How to get (read) a row from a custom object](/en/api/web-services/howto/custom-objects/rest-get-custom-object-row.md)
- [How to use custom objects to search for information](/en/api/web-services/howto/custom-objects/custom-objects-search.md)
- [Working with custom objects and fields in API](/en/custom-objects/reference/index.md)
- [How to update a user-defined field using the web services API](/en/api/web-services/howto/custom-objects/rest-update-udef-field.md)
